Bug 518492 - gnome + cryptsetup Encrypted volumes: impossible to set a static mount point
gnome + cryptsetup Encrypted volumes: impossible to set a static mount point
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-20 11:43 EDT by Dag
Modified: 2013-03-05 22:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:12:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag 2009-08-20 11:43:58 EDT
Description of problem:
When selecting an encrypted volume (made with cryptsetup on a HDD partition) in nautilus (computer:///) and double-click to open and mount it, it asks for the password, then mounts it in /media/xxxxxx where xxx is the uuid of the device as specified by HAL.
But if I want my encrypted partition to be mounted on a specific mount point, I can't do it: HAL doesn't know anything about this encrypted volume until it is "unlocked" by cryptsetup, then any HAL rule concerning the mount point or label of this now-opened encrypted volume is ignored and replaced with default (which is mount_point = uuid).


Version-Release number of selected component (if applicable):
gnome-mount-0.8-5.fc11.i586
hal-0.5.12-26.20090226git.fc11.i586

How reproducible:
always

Steps to Reproduce:
1. create a partition with fdisk
2. make this new partition an encrypted volume with cryptsetup
3. format it in ext3
4. it now appears in nautilus (computer:///) double click on it to mount it
5. enter the luks password and maybe the root password to be able to mount it
6. it's mounted on a mount point named after the uuid of the luks device given by HAL: /media/$uuid/
7. even if you put an fdi rule in /etc/hal/fdi/policy/ telling HAL to "merge" the HAL key volume.mount_point or volume.policy.desired_mount_point for the device whitch matches the correct uuid
8. the mount point will still be the uuid of the opened luks device. /media/$uuid
  
Actual results:
see point 8. of steps to reproduce.

Expected results:
the mount point should be named after the volume.policy.desired_mount_point HAL key or volume.mount_point key or label key.
Those HAL keys are not taken into account for an encrypted partition, preventing one to specify a mount point.

Additional info:
none
Comment 1 Bug Zapper 2010-04-28 05:51:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 10:12:00 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.